<? include('checkcookie.php'); ?>
<b>Добавление ссылок в Авто-Серфинг</b>
<br><br>
<?php
include('config.php');
$sql = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='auto_timer_ot' AND `howmany`='1'");
$auto_timer_ot = mysql_result($sql,0,0);
$sql = mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='auto_timer_do' AND `howmany`='1'");
$auto_timer_do = mysql_result($sql,0,0);
$description = (isset($_POST["description"])) ? limpiar($_POST["description"]) : false;
$url = (isset($_POST["url"])) ? limpiar($_POST["url"]) : "http://";
$plan = (isset($_POST["plan"])) ? intval(limpiar($_POST["plan"])) : false;
$timer = (isset($_POST["timer"])) ? intval(limpiar($_POST["timer"])) : false;
$limit = (isset($_POST["limit"])) ? intval(limpiar($_POST["limit"])) : false;

if(isset($_POST["url"])) {
	if(empty($description)) {
		echo '<b style="color:#FF0000;">Ошибка! Не заполнено поле Описание ссылки.</b><br>';
	}else{
		if(empty($url) or $url=="http://" or strlen($url)<11) {
			echo '<b style="color:#FF0000;">Ошибка! Не заполнено поле URL ссылки или заполнено не корректно.</b><br>';
		}else{
			if($timer < $auto_timer_ot | $timer > $auto_timer_do) {
				echo '<b style="color:#FF0000;">Ошибка! Время просмотра должно быть в пределах от '.$auto_timer_ot.' сек. до '.$auto_timer_do.' сек.</b><br>';
			}else{
				if($limit > $plan) {
					echo '<b style="color:#FF0000;">Ошибка! Ограничение количества показов в сутки не может быть больше чем заказанное колличество визитов ('.$plan.').</b><br>';
				}else{
					if($limit==0) $limit=$plan;

					mysql_query("INSERT INTO `seelf_auto` (`status`, `wmid`, `username`, `timer`, `date`, `plan`, `limit`, `limit_now`, `members`, `url`, `description`, `claims`, `ip`, `money`) VALUES('pay', '0', 'admin', '$timer', '".time()."', '$plan', '$limit', '$limit', '0', '$url', '$description', '0', '127.0.0.1', '0.00')") or die(mysql_error());

					echo "<font color=green><b>Ссылка успешно добавлена!</b></font>";
				}
			}
		}
	}
}

echo '<form method="post" action="">';
echo '<table cellpadding=0 cellspacing=0>';
	echo '<tr>';
		echo '<th width="250" align="left">Описание ссылки:</th>';
		echo '<td align="left"><input type="text" name="description" size="40" maxlength="100" value="'.$description.'" /></td>';
	echo '</tr>';
	echo '<tr>';
		echo '<th width="250" align="left">URL сайта (ссылка):</th>';
		echo '<td align="left"><input type="text" name="url" size="40" maxlength="160" value="'.$url.'" /></td>';
	echo '</tr>';
	echo '<tr>';
		echo '<th width="250" align="left">Колличество показов:</th>';
		echo '<td align="left"><input type="text" name="plan" size="10" maxlength="6" value="'.$plan.'" /></td>';
	echo '</tr>';
	echo '<tr>';
		echo '<th width="250" align="left">Время просмотра: (от '.$auto_timer_ot.' до '.$auto_timer_do.' сек.)</th>';
		echo '<td align="left"><input type="text" name="timer" size="5" maxlength="3" value="'.$timer.'" /></td>';
	echo '</tr>';
	echo '<tr>';
		echo '<th width="250" align="left">Ограничение количества показов в сутки:<br>(0 - без ограничений)</th>';
		echo '<td align="left"><input type="text" name="limit" size="5" maxlength="5" value="'.$limit.'" /></td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td width="250" align="left"><p>&nbsp;</p></td>';
		echo '<td align="right"><input type="submit" value="Добавить &gt;" /></td>';
	echo '</tr>';
echo '</table>';
echo '</form>';
?>
